Index: /branches/OptimizationNetworks/HeuristicLab.Networks.Views/3.3/HeuristicLab.Networks.Views-3.3.csproj
===================================================================
--- /branches/OptimizationNetworks/HeuristicLab.Networks.Views/3.3/HeuristicLab.Networks.Views-3.3.csproj	(revision 14594)
+++ /branches/OptimizationNetworks/HeuristicLab.Networks.Views/3.3/HeuristicLab.Networks.Views-3.3.csproj	(revision 14595)
@@ -306,5 +306,5 @@
     <ProjectReference Include="..\..\HeuristicLab.Networks\3.3\HeuristicLab.Networks-3.3.csproj">
       <Project>{7cf51332-0e37-447c-8017-82a258c59ef2}</Project>
-      <Name>HeuristicLab.Optimization.Networks-3.3</Name>
+      <Name>HeuristicLab.Networks-3.3</Name>
       <Private>False</Private>
     </ProjectReference>
Index: /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/FLP.mod
===================================================================
--- /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/FLP.mod	(revision 14595)
+++ /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/FLP.mod	(revision 14595)
@@ -0,0 +1,40 @@
+﻿//Capacitated Facility Location Problem:
+ 
+int I = ...;
+int J = ...;
+float f[0..(I-1)] = ...;				//Kosten Depot i
+float s[0..(I-1)] = ...;				//KAP Depot i
+float d[0..(J-1)] = ...;				//Bedarf Kunde j
+float c[0..(I-1)][0..(J-1)] = ...;		//Wegkosten von i nach j
+
+range RI = 0..(I-1);
+range RJ = 0..(J-1);
+ 
+dvar float+ x[0..(I-1)][0..(J-1)];		//Transportmenge
+dvar boolean y[0..(I-1)];				//Eröffnung Depot i
+dvar boolean z[0..(I-1)][0..(J-1)];		//Depot i beliefert Kunde j
+
+minimize
+( sum ( i in 0..(I-1), j in 0..(J-1) ) ( c[i][j] * x[i][j] ) + sum ( i in 0..(I-1) ) ( f[i] * y[i] ) );
+
+
+subject to 
+{
+	//Für jedes Depot gilt: Ausliefermenge x kann maximal so groß sein wie Depot-KAP y
+	forall ( i in 0..(I-1) ) 
+		sum ( j in 0..(J-1) ) ( x[i][j] ) <= s[i] * y[i];
+	
+	//Die Ausliefermenge x kann maximal so groß sein wie der Bedarf des Kunden und es kann nur ausgeliefert werden, wenn das Depot eröffnet wird
+	forall ( i in 0..(I-1), j in 0..(J-1) ) 
+		( x[i][j] ) == ( d[j] * z[i][j] );
+	
+	//Jeder Kunde muss insgesamt genau den Bedarf d geliefert bekommen:
+	forall ( j in 0..(J-1) )
+		sum ( i in 0..(I-1) )  ( x[i][j] ) == d[j];
+	
+	forall ( j in 0..(J-1) )
+		sum ( i in 0..(I-1) ) ( z[i][j] ) == 1;   
+
+	forall ( i in 0..(I-1) )
+		sum ( j in 0..(J-1) ) z[i][j] <= J * y[i];
+}
Index: /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/FLPCplexSolver.cs
===================================================================
--- /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/FLPCplexSolver.cs	(revision 14595)
+++ /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/FLPCplexSolver.cs	(revision 14595)
@@ -0,0 +1,139 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2017 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Diagnostics;
+using System.IO;
+using System.Linq;
+using System.Reflection;
+using System.Threading;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Encodings.IntegerVectorEncoding;
+using HeuristicLab.Optimization;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Random;
+using ILOG.CPLEX;
+using ILOG.OPL;
+
+namespace HeuristicLab.Problems.FacilityLocation.CplexSolver {
+  [Item("FLP CPLEX Solver", "Solves facility location problem (FLP) instances using CPLEX.")]
+  [Creatable(CreatableAttribute.Categories.SingleSolutionAlgorithms)]
+  [StorableClass]
+  public sealed class FLPCplexSolver : BasicAlgorithm {
+    public override bool SupportsPause {
+      get { return false; }
+    }
+
+    public override Type ProblemType {
+      get { return typeof(FacilityLocationProblem); }
+    }
+
+    public new FacilityLocationProblem Problem {
+      get { return (FacilityLocationProblem)base.Problem; }
+      set { base.Problem = value; }
+    }
+
+    [Storable]
+    private IFixedValueParameter<TimeSpanValue> maximumRuntimeParameter;
+
+    private bool supportsPause;
+
+    public IFixedValueParameter<TimeSpanValue> MaximumRuntimeParameter {
+      get { return maximumRuntimeParameter; }
+    }
+
+    [StorableConstructor]
+    private FLPCplexSolver(bool deserializing) : base(deserializing) { }
+    private FLPCplexSolver(FLPCplexSolver original, Cloner cloner)
+      : base(original, cloner) {
+      maximumRuntimeParameter = cloner.Clone(original.maximumRuntimeParameter);
+    }
+    public FLPCplexSolver() {
+      Parameters.Add(maximumRuntimeParameter = new FixedValueParameter<TimeSpanValue>("Maximum Runtime", "Specifies how long CPLEX should be allowed to run.", new TimeSpanValue(TimeSpan.FromSeconds(60))));
+      Problem = new FacilityLocationProblem();
+    }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new FLPCplexSolver(this, cloner);
+    }
+
+    protected override void Run(CancellationToken cancellationToken) {
+      var factory = new OplFactory();
+      var cplex = factory.CreateCplex();
+
+      var errorHandler = factory.CreateOplErrorHandler();
+
+      var dataSource = new FLPDataSource(factory, Problem);
+      var model = Assembly.GetExecutingAssembly().GetManifestResourceNames().SingleOrDefault(x => x.EndsWith(@".FLP.mod"));
+      var modelStream = Assembly.GetExecutingAssembly().GetManifestResourceStream(model);
+
+      var depots = Problem.DepotCapacitiesParameter.Value.Length;
+      var customers = Problem.CustomerDemandsParameter.Value.Length;
+
+      using (var reader = new StreamReader(modelStream))
+      using (var modelSource = factory.CreateOplModelSourceFromString(reader.ReadToEnd(), Path.GetFileNameWithoutExtension(model)))
+      using (var settings = factory.CreateOplSettings(errorHandler))
+      using (var def = factory.CreateOplModelDefinition(modelSource, settings))
+      using (var opl = factory.CreateOplModel(def, cplex)) {
+        opl.AddDataSource(dataSource);
+        opl.Generate();
+        cplex.SetParam(Cplex.DoubleParam.TiLim, MaximumRuntimeParameter.Value.Value.TotalSeconds);
+        //cplex.ExportModel("model.lp");
+        //opl.ConvertAllIntVars();
+        var solved = cplex.Solve();
+        var assignment = new IntegerVector(customers);
+        if (solved) {
+          Results.Add(new Result("BestQuality", new DoubleValue(cplex.ObjValue)));
+          Results.Add(new Result("Best Solution Optimal", new BoolValue(
+            opl.Cplex.GetCplexStatus().Equals(Cplex.CplexStatus.Optimal)
+            || opl.Cplex.GetCplexStatus().Equals(Cplex.CplexStatus.OptimalTol))));
+          Results.Add(new Result("Best Solution Feasible", new BoolValue(true)));
+
+          var sol = opl.GetElement(FLPDataSource.CustomerDepotAssignment).AsIntMap();
+          
+          for (var i = 0; i < depots; i++) {
+            var solI = sol.GetSub(i);
+            for (var j = 0; j < customers; j++) {
+              var solIJ = solI.Get(j);
+              if (solIJ == 0) continue;
+              assignment[j] = i;
+            }
+          }
+        } else {
+          var demands = Problem.CustomerDemandsParameter.Value;
+          var capacities = Problem.DepotCapacitiesParameter.Value;
+
+          assignment.Randomize(new FastRandom(), 0, depots); // output a random solution
+
+          Results.Add(new Result("Best Solution Optimal", new BoolValue(false)));
+          var feasible = assignment.Select((v, i) => new { Demand = demands[i], Depot = v }).GroupBy(x => x.Depot, x => x.Demand).All(x => capacities[x.Key] <= x.Sum());
+          Results.Add(new Result("Best Solution Feasible", new BoolValue(feasible)));
+          Results.Add(new Result("BestQuality", new DoubleValue(Problem.Evaluate(assignment))));
+        }
+        Results.Add(new Result("Best Solution", assignment));
+      }
+    }
+  }
+}
Index: /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/FLPDataSource.cs
===================================================================
--- /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/FLPDataSource.cs	(revision 14595)
+++ /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/FLPDataSource.cs	(revision 14595)
@@ -0,0 +1,87 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2017 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using HeuristicLab.Data;
+using ILOG.OPL;
+
+namespace HeuristicLab.Problems.FacilityLocation.CplexSolver {
+  public class FLPDataSource : CustomOplDataSource {
+    #region Inputs
+    public const string TotalDepots = "I";
+    public const string TotalCustomers = "J";
+    public const string OpeningCosts = "f";
+    public const string DepotCapacities = "s";
+    public const string CustomerDemands = "d";
+    public const string DeliveryCosts = "c";
+    #endregion
+    #region Variables
+    public const string CustomerDepotDeliverAmount = "x";
+    public const string DepotOpening = "y";
+    public const string CustomerDepotAssignment = "z";
+    #endregion
+
+    private FacilityLocationProblem problem;
+
+    public FLPDataSource(OplFactory factory, FacilityLocationProblem problem) : base(factory) {
+      this.problem = problem;
+    }
+
+    public override void CustomRead() {
+      NewElement(TotalDepots, () => Add(problem.DepotCapacitiesParameter.Value.Length));
+      NewElement(TotalCustomers, () => Add(problem.CustomerDemandsParameter.Value.Length));
+      NewElement(OpeningCosts, () => Add(problem.OpeningCostsParameter.Value));
+      NewElement(DepotCapacities, () => Add(problem.DepotCapacitiesParameter.Value));
+      NewElement(CustomerDemands, () => Add(problem.CustomerDemandsParameter.Value));
+      NewElement(DeliveryCosts, () => Add(problem.DeliveryCostsParameter.Value));
+    }
+
+    protected void NewElement(string name, Action add) {
+      DataHandler.StartElement(name);
+      add();
+      DataHandler.EndElement();
+    }
+    protected void Add(int value) {
+      DataHandler.AddIntItem(value);
+    }
+    protected void Add(double value) {
+      DataHandler.AddNumItem(value);
+    }
+    protected void Add(DoubleArray values) {
+      DataHandler.StartArray();
+      foreach (double value in values) {
+        DataHandler.AddNumItem(value);
+      }
+      DataHandler.EndArray();
+    }
+    protected void Add(DoubleMatrix values) {
+      DataHandler.StartArray();
+      for (var i = 0; i < values.Rows; i++) {
+        DataHandler.StartArray();
+        for (var j = 0; j < values.Columns; j++) {
+          Add(values[i, j]);
+        }
+        DataHandler.EndArray();
+      }
+      DataHandler.EndArray();
+    }
+  }
+}
Index: /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/HeuristicLab.Problems.FacilityLocation.CplexSolver-3.3.csproj
===================================================================
--- /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/HeuristicLab.Problems.FacilityLocation.CplexSolver-3.3.csproj	(revision 14595)
+++ /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/HeuristicLab.Problems.FacilityLocation.CplexSolver-3.3.csproj	(revision 14595)
@@ -0,0 +1,145 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProjectGuid>{307DF76A-9D9D-4D0A-BB67-DEEF934A70FF}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.Problems.FacilityLocation.CplexSolver</RootNamespace>
+    <AssemblyName>HeuristicLab.Problems.FacilityLocation.CplexSolver-3.3</AssemblyName>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+    <TargetFrameworkProfile />
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>..\..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>..\..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup>
+    <SignAssembly>true</SignAssembly>
+  </PropertyGroup>
+  <PropertyGroup>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="HeuristicLab.Collections-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Collections-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Common-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Common-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Core-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Core-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Data-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Data-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Encodings.IntegerVectorEncoding-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Encodings.IntegerVectorEncoding-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Optimization-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Optimization-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Parameters-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Parameters-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Persistence-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Persistence-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.PluginInfrastructure-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Problems.Instances-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Problems.Instances-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="HeuristicLab.Random-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Random-3.3.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+    <Reference Include="oplall">
+      <HintPath>C:\Program Files\IBM\ILOG\CPLEX_Studio1263\opl\lib\oplall.dll</HintPath>
+    </Reference>
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+    <Reference Include="System.Xml.Linq" />
+    <Reference Include="System.Data.DataSetExtensions" />
+    <Reference Include="Microsoft.CSharp" />
+    <Reference Include="System.Data" />
+    <Reference Include="System.Net.Http" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Plugin.cs.frame" />
+    <Compile Include="FLPCplexSolver.cs" />
+    <Compile Include="FLPDataSource.cs" />
+    <Compile Include="Plugin.cs" />
+    <None Include="Properties\AssemblyInfo.cs.frame" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="HeuristicLab.snk" />
+  </ItemGroup>
+  <ItemGroup>
+    <EmbeddedResource Include="FLP.mod" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.FacilityLocation\3.3\HeuristicLab.Problems.FacilityLocation-3.3.csproj">
+      <Project>{aa9d05e4-eae1-45ca-97d2-275110a7e58d}</Project>
+      <Name>HeuristicLab.Problems.FacilityLocation-3.3</Name>
+      <Private>False</Private>
+    </ProjectReference>
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <PropertyGroup>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd
+</PreBuildEvent>
+  </PropertyGroup>
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
Index: /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/Plugin.cs
===================================================================
--- /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/Plugin.cs	(revision 14595)
+++ /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/Plugin.cs	(revision 14595)
@@ -0,0 +1,39 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2017 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Problems.FacilityLocation.CplexSolver {
+  [Plugin("HeuristicLab.Problems.FacilityLocation.CplexSolver", "Plugin that provides a CPLEX solver for the FLP", "3.3.14.0")]
+  [PluginFile("HeuristicLab.Problems.FacilityLocation.CplexSolver-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Collections", "3.3")]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Data", "3.3")]
+  [PluginDependency("HeuristicLab.Encodings.IntegerVectorEncoding", "3.3")]
+  [PluginDependency("HeuristicLab.Optimization", "3.3")]
+  [PluginDependency("HeuristicLab.Parameters", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  [PluginDependency("HeuristicLab.Problems.Instances", "3.3")]
+  public class HeuristicLabProblemsFacilityLocationCplexSolverPlugin : PluginBase {
+    }
+}
Index: /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/Plugin.cs.frame
===================================================================
--- /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/Plugin.cs.frame	(revision 14595)
+++ /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/Plugin.cs.frame	(revision 14595)
@@ -0,0 +1,39 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2017 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Problems.FacilityLocation.CplexSolver {
+  [Plugin("HeuristicLab.Problems.FacilityLocation.CplexSolver", "Plugin that provides a CPLEX solver for the FLP", "3.3.14.$WCREV$")]
+  [PluginFile("HeuristicLab.Problems.FacilityLocation.CplexSolver-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Collections", "3.3")]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Data", "3.3")]
+  [PluginDependency("HeuristicLab.Encodings.IntegerVectorEncoding", "3.3")]
+  [PluginDependency("HeuristicLab.Optimization", "3.3")]
+  [PluginDependency("HeuristicLab.Parameters", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  [PluginDependency("HeuristicLab.Problems.Instances", "3.3")]
+  public class HeuristicLabProblemsFacilityLocationCplexSolverPlugin : PluginBase {
+    }
+}
Index: /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/Properties/AssemblyInfo.cs
===================================================================
--- /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/Properties/AssemblyInfo.cs	(revision 14595)
+++ /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/Properties/AssemblyInfo.cs	(revision 14595)
@@ -0,0 +1,56 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2017 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Problems.FacilityLocation.CplexSolver")]
+[assembly: AssemblyDescription("Plugin that provides a CPLEX solver for the FLP")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("HEAL")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2017 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("307df76a-9d9d-4d0a-bb67-deef934a70ff")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("3.3.0.0")]
+[assembly: AssemblyFileVersion("3.3.14.0")]
Index: /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/Properties/AssemblyInfo.cs.frame	(revision 14595)
+++ /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation.CplexSolver/3.3/Properties/AssemblyInfo.cs.frame	(revision 14595)
@@ -0,0 +1,56 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2017 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Problems.FacilityLocation.CplexSolver")]
+[assembly: AssemblyDescription("Plugin that provides a CPLEX solver for the FLP")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("HEAL")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2017 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("307df76a-9d9d-4d0a-bb67-deef934a70ff")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("3.3.0.0")]
+[assembly: AssemblyFileVersion("3.3.14.$WCREV$")]
Index: /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation/3.3/Properties/AssemblyInfo.cs.frame	(revision 14594)
+++ /branches/OptimizationNetworks/HeuristicLab.Problems.FacilityLocation/3.3/Properties/AssemblyInfo.cs.frame	(revision 14595)
@@ -31,5 +31,5 @@
 [assembly: AssemblyCompany("HEAL")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) HEAL 2002-2017")]
+[assembly: AssemblyCopyright("(c) 2002-2017 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
Index: /branches/OptimizationNetworks/LRP-Network.sln
===================================================================
--- /branches/OptimizationNetworks/LRP-Network.sln	(revision 14594)
+++ /branches/OptimizationNetworks/LRP-Network.sln	(revision 14595)
@@ -17,4 +17,6 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.FacilityLocation-3.3", "HeuristicLab.Problems.FacilityLocation\3.3\HeuristicLab.Problems.FacilityLocation-3.3.csproj", "{AA9D05E4-EAE1-45CA-97D2-275110A7E58D}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.FacilityLocation.CplexSolver-3.3", "HeuristicLab.Problems.FacilityLocation.CplexSolver\3.3\HeuristicLab.Problems.FacilityLocation.CplexSolver-3.3.csproj", "{307DF76A-9D9D-4D0A-BB67-DEEF934A70FF}"
 EndProject
 Global
@@ -112,4 +114,16 @@
 		{AA9D05E4-EAE1-45CA-97D2-275110A7E58D}.Release|x86.ActiveCfg = Release|Any CPU
 		{AA9D05E4-EAE1-45CA-97D2-275110A7E58D}.Release|x86.Build.0 = Release|Any CPU
+		{307DF76A-9D9D-4D0A-BB67-DEEF934A70FF}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{307DF76A-9D9D-4D0A-BB67-DEEF934A70FF}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{307DF76A-9D9D-4D0A-BB67-DEEF934A70FF}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{307DF76A-9D9D-4D0A-BB67-DEEF934A70FF}.Debug|x64.Build.0 = Debug|Any CPU
+		{307DF76A-9D9D-4D0A-BB67-DEEF934A70FF}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{307DF76A-9D9D-4D0A-BB67-DEEF934A70FF}.Debug|x86.Build.0 = Debug|Any CPU
+		{307DF76A-9D9D-4D0A-BB67-DEEF934A70FF}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{307DF76A-9D9D-4D0A-BB67-DEEF934A70FF}.Release|Any CPU.Build.0 = Release|Any CPU
+		{307DF76A-9D9D-4D0A-BB67-DEEF934A70FF}.Release|x64.ActiveCfg = Release|Any CPU
+		{307DF76A-9D9D-4D0A-BB67-DEEF934A70FF}.Release|x64.Build.0 = Release|Any CPU
+		{307DF76A-9D9D-4D0A-BB67-DEEF934A70FF}.Release|x86.ActiveCfg = Release|Any CPU
+		{307DF76A-9D9D-4D0A-BB67-DEEF934A70FF}.Release|x86.Build.0 = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
